displayName ยอมรับเฉพาะโอเปอเรเตอร์ HAS (:) ระบบจะแปลงข้อความที่จะจับคู่เป็นโทเค็นก่อน จากนั้นจะจับคู่คำนำหน้าของแต่ละโทเค็นโดยไม่คำนึงถึงตัวพิมพ์เล็กและตัวพิมพ์ใหญ่ และแยกกันเป็นสตริงย่อยใน displayName ของพื้นที่ เช่น Fun Eve จะตรงกับ Fun event หรือ The
evening was fun แต่ไม่ตรงกับ notFun event หรือ even เมื่อตั้งค่า useAdminAccess เป็น false คุณจะต้องระบุ displayName เพื่อดึงข้อมูลผลลัพธ์ที่มีความหมาย ไม่เช่นนั้น ลักษณะการทำงานเริ่มต้นคือการแสดงผลการตอบกลับที่ว่างเปล่า
externalUserAllowed ยอมรับทั้ง true และ false
spaceHistoryState จะยอมรับค่าจากฟิลด์ historyState ของทรัพยากร space เท่านั้น
ต้องระบุ spaceType เมื่อตั้งค่า useAdminAccess เป็น true และค่าที่ใช้ได้มีเพียง SPACE
ในฟิลด์ต่างๆ ระบบจะรองรับเฉพาะโอเปอเรเตอร์ AND ตัวอย่างที่ถูกต้องคือ spaceType = "SPACE" AND displayName:"Hello" และตัวอย่างที่ไม่ถูกต้องคือ spaceType = "SPACE" OR displayName:"Hello"
ในฟิลด์เดียวกัน spaceType ไม่รองรับโอเปอเรเตอร์ AND หรือ ORdisplayName, "spaceHistoryState" และ "externalUserAllowed" รองรับเฉพาะผู้ให้บริการ ORlastActiveTime และ createTime รองรับทั้งโอเปอเรเตอร์ AND และ ORAND ใช้เพื่อแสดงช่วงเวลาเท่านั้น เช่น lastActiveTime
< "2022-01-01T00:00:00+00:00" AND lastActiveTime >
"2023-01-01T00:00:00+00:00"
customer = "customers/my_customer" AND spaceType = "SPACE"
customer = "customers/my_customer" AND spaceType = "SPACE" AND
displayName:"Hello World"
customer = "customers/my_customer" AND spaceType = "SPACE" AND
(lastActiveTime < "2020-01-01T00:00:00+00:00" OR lastActiveTime >
"2022-01-01T00:00:00+00:00")
customer = "customers/my_customer" AND spaceType = "SPACE" AND
(displayName:"Hello World" OR displayName:"Fun event") AND
(lastActiveTime > "2020-01-01T00:00:00+00:00" AND lastActiveTime <
"2022-01-01T00:00:00+00:00")
customer = "customers/my_customer" AND spaceType = "SPACE" AND
(createTime > "2019-01-01T00:00:00+00:00" AND createTime <
"2020-01-01T00:00:00+00:00") AND (externalUserAllowed = "true") AND
(spaceHistoryState = "HISTORY_ON" OR spaceHistoryState = "HISTORY_OFF")
[[["เข้าใจง่าย","easyToUnderstand","thumb-up"],["แก้ปัญหาของฉันได้","solvedMyProblem","thumb-up"],["อื่นๆ","otherUp","thumb-up"]],[["ไม่มีข้อมูลที่ฉันต้องการ","missingTheInformationINeed","thumb-down"],["ซับซ้อนเกินไป/มีหลายขั้นตอนมากเกินไป","tooComplicatedTooManySteps","thumb-down"],["ล้าสมัย","outOfDate","thumb-down"],["ปัญหาเกี่ยวกับการแปล","translationIssue","thumb-down"],["ตัวอย่าง/ปัญหาเกี่ยวกับโค้ด","samplesCodeIssue","thumb-down"],["อื่นๆ","otherDown","thumb-down"]],["อัปเดตล่าสุด 2026-06-17 UTC"],[],["To search for Google Workspace spaces, send a `GET` request to `https://chat.googleapis.com/v1/spaces:search`, ensuring admin privileges and setting `useAdminAccess` to `true`. Define the search using query parameters, including a required `query` to filter spaces (by `customer`, `displayName`, etc.), optional `pageSize` and `pageToken` for pagination, and optional `orderBy` for sorting. You must have one of the authorization scopes: `chat.admin.spaces` or `chat.admin.spaces.readonly`. The response will list spaces matching the query.\n"]]